 	.386
	.model	use32 small

	extrn	allerrl : proc
	public	_polyl
	.data
nm	db	"polyl",0

	.code
_polyl:
	push	ebp
	mov	ebp,esp
	mov	ecx,[ebp+20]
	mov	eax,[ebp+24]
	inc	ecx
	fldz
	jmp	intox
lp:
	fld	tbyte ptr [ebp+8]
	fmulp	st(1)
intox:
	fld	tbyte ptr [eax+4*ecx-8]
	faddp	st(1)
	loop	lp
	lea	ecx,[ebp+8]
	sub	edx,edx
	lea	eax,[nm]
	call	allerrl
	leave
	ret
	end